%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
%global pypi_name cinder

Name:             openstack-cinder
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:            1
Version:          9.1.4
Release:          33%{?dist}
Summary:          OpenStack Volume service

License:          ASL 2.0
URL:              http://www.openstack.org/software/openstack-storage/
Source0:          https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz

Source1:          cinder-dist.conf
Source2:          cinder.logrotate

Source10:         openstack-cinder-api.service
Source11:         openstack-cinder-scheduler.service
Source12:         openstack-cinder-volume.service
Source13:         openstack-cinder-backup.service
Source20:         cinder-sudoers

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.1.4
#
Patch0001: 0001-Remove-usr-local-from-rootwrap-config.patch
Patch0002: 0002-Prevent-duplicate-entries-in-the-image-cache.patch
Patch0003: 0003-Fix-volume-retype-with-migration-as-non-admin.patch
Patch0004: 0004-Separate-out-routine-for-getting-qemu_img_info.patch
Patch0005: 0005-Don-t-use-tempest-special_fields.patch
Patch0006: 0006-Give-more-time-for-LVM-deactivation.patch
Patch0007: 0007-RemoteFS-prevent-creation-of-encrypted-volumes.patch
Patch0008: 0008-NFS-Backup-Fix-overwritting-backups.patch
Patch0009: 0009-Unexpected-function-is-called-in-_migrate_volume_gen.patch
Patch0010: 0010-RBD-Move-RBDVolume-calls-to-a-separate-threads.patch
Patch0011: 0011-Switch-to-use-stable-data_utils.patch
Patch0012: 0012-Do-proper-cleanup-if-connect-volume-fails.patch
Patch0013: 0013-Add-support-for-OS-Brick-force-disconnect.patch
Patch0014: 0014-Use-requests-lib-for-Huawei-array-connection.patch
Patch0015: 0015-Change-Huawei-driver-s-private-data-storing-place.patch
Patch0016: 0016-qemu_img_info-report-luks-images-as-raw.patch
Patch0017: 0017-Reduce-redundant-call-of-image-show.patch
Patch0018: 0018-qemu_img_info-Don-t-autodetect-source-format.patch
Patch0019: 0019-Create-volumes-from-encrypted-images.patch
Patch0020: 0020-Fix-support-for-AMI-image-conversion.patch
Patch0021: 0021-Glance-attach-volume-encryption-key-id-to-image.patch
Patch0022: 0022-Don-t-verify-format-with-autodetect-after-image-conv.patch
Patch0023: 0023-Create-volume-from-VHD-format-image-always-failed.patch
Patch0024: 0024-Fix-image-download-to-volume-for-iso-images.patch
Patch0025: 0025-Error-message-for-image-conversion-failure.patch
Patch0026: 0026-Fix-an-issue-in-Huawei-UT.patch
Patch0027: 0027-Fix-Huawei-remote_lun_id-metadata-fetching.patch
Patch0028: 0028-NetApp-Fix-SVM-scoped-user-startup-exception.patch
Patch0029: 0029-Dell-EMC-SC-Delete-doesn-t-account-for-migration.patch
Patch0030: 0030-NetApp-ONTAP-Fix-reporting-of-provisioned_capacity_g.patch
Patch0031: 0031-Add-multipath-enhancement-to-Storwize-iSCSI-driver.patch
Patch0032: 0032-VNX-fix-issue-when-backing-up-in-use-volume.patch
Patch0033: 0033-Add-per-backend-availability-zones.patch
Patch0034: 0034-Adds-Unity-Cinder-Driver.patch
Patch0035: 0035-ceph-backup-support-for-EXCLUSIVE_LOCK-and-JOURNALIN.patch
Patch0036: 0036-nimble-handle-unicode-strings-in-volume-create.patch
Patch0037: 0037-Dell-EMC-PS-Fix-over-subscription-ratio-stats.patch
Patch0038: 0038-Dell-EMC-PS-Optimize-parsing-of-capacity-info-from-b.patch
Patch0039: 0039-Fix-create-encrypted-volume-from-image.patch
Patch0040: 0040-StorageCenter-Fix-volume-mapping-for-API-v3.1.patch
Patch0041: 0041-Fix-Backup-uses-latest-req-id-for-all-log-calls.patch
Patch0042: 0042-Fix-compression-related-tests.patch
Patch0043: 0043-Remove-logging-on-Swift-backup-obj-writer.patch
Patch0044: 0044-backup-set-default-swiftclient-log-level-to-WARN.patch
Patch0045: 0045-Run-backup-restore-operations-on-native-thread.patch
Patch0046: 0046-Add-assert_min_rpc_version-decorator.patch
Patch0047: 0047-Fix-backup-temp-snapshot-path-on-remote-node.patch
Patch0048: 0048-Use-backup_use_temp_snapshot-setting-for-default.patch
Patch0049: 0049-Improve-Capacity-filter-logging.patch
Patch0050: 0050-Improve-logs-on-scheduler.patch
Patch0051: 0051-Cinder-logs-rabbitmq-password-on-connection-log.patch
Patch0052: 0052-Log-config-options-with-oslo.config.patch
Patch0053: 0053-Avoid-register-extensions-on-the-versions-router.patch
Patch0054: 0054-Fix-reporting-old-stats.patch
Patch0055: 0055-Fix-allocated_capacity_gb-race-on-create-volume.patch
Patch0056: 0056-NetApp-Refresh-directory-before-waiting.patch
Patch0057: 0057-NetApp-ONTAP-Copy-offload-bugfix.patch
Patch0058: 0058-Dell-EMC-PS-Fix-extend-volume-creating-unmanaged-sna.patch
Patch0059: 0059-Fix-AZ-not-matching-backend-after-migration.patch
Patch0060: 0060-Dell-EMC-SC-ISCSI-initialize_connection-fixes.patch
Patch0061: 0061-3PAR-Get-host-from-os-brick.patch
Patch0062: 0062-3PAR-Update-CHAP-on-host-record-when-volume-is-migra.patch
Patch0063: 0063-HPE3PAR-Create-FC-vlun-as-host-sees.patch

BuildArch:        noarch
BuildRequires:    intltool
BuildRequires:    python-d2to1
BuildRequires:    python-oslo-sphinx
BuildRequires:    python-pbr
BuildRequires:    python-reno
BuildRequires:    python-sphinx
BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-netaddr
BuildRequires:    systemd
BuildRequires:    git
BuildRequires:    os-brick
BuildRequires:    pyparsing
BuildRequires:    pytz
BuildRequires:    python-decorator
# Required to build cinder.conf
BuildRequires:    python-google-api-client >= 1.4.2
BuildRequires:    python-keystonemiddleware
BuildRequires:    python-glanceclient >= 1:2.0.0
BuildRequires:    python-novaclient >= 2.29.0
BuildRequires:    python-swiftclient >= 2.2.0
BuildRequires:    python-oslo-db
BuildRequires:    python-oslo-config >= 2:3.7.0
BuildRequires:    python-oslo-policy
BuildRequires:    python-oslo-reports
BuildRequires:    python-oslotest
BuildRequires:    python-oslo-utils
BuildRequires:    python-oslo-versionedobjects
BuildRequires:    python-oslo-vmware
BuildRequires:    python-os-win
BuildRequires:    python-castellan
BuildRequires:    python-crypto
BuildRequires:    python-lxml
BuildRequires:    python-osprofiler
BuildRequires:    python-paramiko
BuildRequires:    python-suds
BuildRequires:    python-taskflow
BuildRequires:    python-tooz
BuildRequires:    python-oslo-log
BuildRequires:    python-oslo-i18n
BuildRequires:    python-barbicanclient
BuildRequires:    python-requests
BuildRequires:    python-retrying

# Required to compile translation files
BuildRequires:    python-babel

Requires:         python-cinder = %{epoch}:%{version}-%{release}

# we dropped the patch to remove PBR for Delorean
Requires:         python-pbr

# as convenience
Requires:         python-cinderclient

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Requires(pre):    shadow-utils

Requires:         lvm2
Requires:         python-osprofiler
Requires:         python-rtslib

%description
OpenStack Volume (codename Cinder) provides services to manage and
access block storage volumes for use by Virtual Machine instances.


%package -n       python-cinder
Summary:          OpenStack Volume Python libraries
Group:            Applications/System

Requires:         sudo

Requires:         qemu-img
Requires:         sysfsutils
Requires:         os-brick >= 1.6.1-5
Requires:         python-paramiko

Requires:         python-castellan
Requires:         python-eventlet
Requires:         python-greenlet
Requires:         python-iso8601 >= 0.1.9
Requires:         python-lxml
Requires:         python-anyjson
Requires:         python-stevedore
Requires:         python-suds
Requires:         python-tooz

Requires:         python-sqlalchemy
Requires:         python-migrate

Requires:         python-paste-deploy
Requires:         python-routes
Requires:         python-webob

Requires:         python-glanceclient >= 1:2.0.0
Requires:         python-swiftclient >= 2.2.0
Requires:         python-keystoneclient
Requires:         python-novaclient >= 1:2.29.0

Requires:         python-oslo-config >= 2:3.7.0
Requires:         python-six >= 1.9.0
Requires:         python-psutil >= 1.1.1

Requires:         python-babel
Requires:         python-google-api-client >= 1.4.2

Requires:         python-oslo-rootwrap
Requires:         python-oslo-utils
Requires:         python-oslo-serialization
Requires:         python-oslo-db
Requires:         python-oslo-context
Requires:         python-oslo-concurrency >= 3.8.0
Requires:         python-oslo-middleware
Requires:         python-taskflow
Requires:         python-oslo-messaging >= 4.0.0
Requires:         python-oslo-policy >= 0.5.0
Requires:         python-oslo-reports
Requires:         python-oslo-service
Requires:         python-oslo-versionedobjects

Requires:         iscsi-initiator-utils

Requires:         python-osprofiler

Requires:         python-httplib2 >= 0.7.5
Requires:         python-oauth2client >= 1.5.0

Requires:         python-oslo-log >= 3.16.0
Requires:         python-oslo-i18n
Requires:         python-barbicanclient
Requires:         python-requests
Requires:         python-retrying
Requires:         pyparsing
Requires:         pytz
Requires:         python-decorator
Requires:         python-enum34

Requires:         python-oslo-privsep >= 1.9.0


%description -n   python-cinder
OpenStack Volume (codename Cinder) provides services to manage and
access block storage volumes for use by Virtual Machine instances.

This package contains the cinder Python library.

%package -n python-cinder-tests
Summary:        Cinder tests
Requires:       openstack-cinder = %{epoch}:%{version}-%{release}

# Added test requirements
Requires:       python-hacking
Requires:       python-anyjson
Requires:       python-coverage
Requires:       python-ddt
Requires:       python-fixtures
Requires:       python-mock
Requires:       python-mox3
Requires:       python-oslotest
Requires:       python-subunit
Requires:       python-testtools
Requires:       python-testrepository
Requires:       python-testresources
Requires:       python-testscenarios
Requires:       python-os-testr
Requires:       python-tempest
Requires:       python-tempest-tests

%description -n python-cinder-tests
OpenStack Volume (codename Cinder) provides services to manage and
access block storage volumes for use by Virtual Machine instances.

This package contains the Cinder test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Volume
Group:            Documentation

Requires:         %{name} = %{epoch}:%{version}-%{release}

BuildRequires:    graphviz

# Required to build module documents
BuildRequires:    python-eventlet
BuildRequires:    python-routes
BuildRequires:    python-sqlalchemy
BuildRequires:    python-webob
# while not strictly required, quiets the build down when building docs.
BuildRequires:    python-migrate
BuildRequires:    python-iso8601 >= 0.1.9

%description      doc
OpenStack Volume (codename Cinder) provides services to manage and
access block storage volumes for use by Virtual Machine instances.

This package contains documentation files for cinder.
%endif

%prep
%autosetup -n cinder-%{upstream_version} -S git

find . \( -name .gitignore -o -name .placeholder \) -delete

find cinder -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

sed -i 's/%{version}.%{milestone}/%{version}/' PKG-INFO

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires


%build
# Generate config file
PYTHONPATH=. oslo-config-generator --config-file=cinder/config/cinder-config-generator.conf

# Build
%{__python2} setup.py build

# Generate i18n files
%{__python2} setup.py compile_catalog -d build/lib/%{pypi_name}/locale

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# docs generation requires everything to be installed first
export PYTHONPATH="$( pwd ):$PYTHONPATH"

%if 0%{?with_doc}
%{__python2} setup.py build_sphinx --builder html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.buildinfo
%endif

%{__python2} setup.py build_sphinx --builder man
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1/

# Setup directories
install -d -m 755 %{buildroot}%{_sharedstatedir}/cinder
install -d -m 755 %{buildroot}%{_sharedstatedir}/cinder/tmp
install -d -m 755 %{buildroot}%{_localstatedir}/log/cinder

# Install config files
install -d -m 755 %{buildroot}%{_sysconfdir}/cinder
install -p -D -m 640 %{SOURCE1} %{buildroot}%{_datadir}/cinder/cinder-dist.conf
install -d -m 755 %{buildroot}%{_sysconfdir}/cinder/volumes
install -p -D -m 640 etc/cinder/rootwrap.conf %{buildroot}%{_sysconfdir}/cinder/rootwrap.conf
install -p -D -m 640 etc/cinder/api-paste.ini %{buildroot}%{_sysconfdir}/cinder/api-paste.ini
install -p -D -m 640 etc/cinder/policy.json %{buildroot}%{_sysconfdir}/cinder/policy.json
install -p -D -m 640 etc/cinder/cinder.conf.sample %{buildroot}%{_sysconfdir}/cinder/cinder.conf

# Install initscripts for services
install -p -D -m 644 %{SOURCE10} %{buildroot}%{_unitdir}/openstack-cinder-api.service
install -p -D -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/openstack-cinder-scheduler.service
install -p -D -m 644 %{SOURCE12} %{buildroot}%{_unitdir}/openstack-cinder-volume.service
install -p -D -m 644 %{SOURCE13} %{buildroot}%{_unitdir}/openstack-cinder-backup.service

# Install sudoers
install -p -D -m 440 %{SOURCE20} %{buildroot}%{_sysconfdir}/sudoers.d/cinder

# Install logrotate
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-cinder

# Install pid directory
install -d -m 755 %{buildroot}%{_localstatedir}/run/cinder

# Install rootwrap files in /usr/share/cinder/rootwrap
mkdir -p %{buildroot}%{_datarootdir}/cinder/rootwrap/
install -p -D -m 644 etc/cinder/rootwrap.d/* %{buildroot}%{_datarootdir}/cinder/rootwrap/


# Symlinks to rootwrap config files
mkdir -p %{buildroot}%{_sysconfdir}/cinder/rootwrap.d
for filter in %{_datarootdir}/os-brick/rootwrap/*.filters; do
ln -s $filter %{buildroot}%{_sysconfdir}/cinder/rootwrap.d/
done

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python2_sitelib}/%{pypi_name}/locale/*/LC_*/%{pypi_name}*po
rm -f %{buildroot}%{python2_sitelib}/%{pypi_name}/locale/*pot
mv %{buildroot}%{python2_sitelib}/%{pypi_name}/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang %{pypi_name} --all-name

# Remove unneeded in production stuff
rm -f %{buildroot}%{_bindir}/cinder-all
rm -f %{buildroot}%{_bindir}/cinder-debug
rm -fr %{buildroot}%{python2_sitelib}/run_tests.*
rm -f %{buildroot}/usr/share/doc/cinder/README*

%pre
getent group cinder >/dev/null || groupadd -r cinder --gid 165
if ! getent passwd cinder >/dev/null; then
  useradd -u 165 -r -g cinder -G cinder,nobody -d %{_sharedstatedir}/cinder -s /sbin/nologin -c "OpenStack Cinder Daemons" cinder
fi
exit 0

%post
%systemd_post openstack-cinder-volume
%systemd_post openstack-cinder-api
%systemd_post openstack-cinder-scheduler
%systemd_post openstack-cinder-backup

%preun
%systemd_preun openstack-cinder-volume
%systemd_preun openstack-cinder-api
%systemd_preun openstack-cinder-scheduler
%systemd_preun openstack-cinder-backup

%postun
%systemd_postun_with_restart openstack-cinder-volume
%systemd_postun_with_restart openstack-cinder-api
%systemd_postun_with_restart openstack-cinder-scheduler
%systemd_postun_with_restart openstack-cinder-backup

%files
%dir %{_sysconfdir}/cinder
%config(noreplace) %attr(-, root, cinder) %{_sysconfdir}/cinder/cinder.conf
%config(noreplace) %attr(-, root, cinder) %{_sysconfdir}/cinder/api-paste.ini
%config(noreplace) %attr(-, root, cinder) %{_sysconfdir}/cinder/rootwrap.conf
%config(noreplace) %attr(-, root, cinder) %{_sysconfdir}/cinder/policy.json
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-cinder
%config(noreplace) %{_sysconfdir}/sudoers.d/cinder
%{_sysconfdir}/cinder/rootwrap.d/
%attr(-, root, cinder) %{_datadir}/cinder/cinder-dist.conf

%dir %attr(0750, cinder, root) %{_localstatedir}/log/cinder
%dir %attr(0755, cinder, root) %{_localstatedir}/run/cinder
%dir %attr(0755, cinder, root) %{_sysconfdir}/cinder/volumes

%{_bindir}/cinder-*
%{_unitdir}/*.service
%{_datarootdir}/cinder
%{_mandir}/man1/cinder*.1.gz

%defattr(-, cinder, cinder, -)
%dir %{_sharedstatedir}/cinder
%dir %{_sharedstatedir}/cinder/tmp

%files -n python-cinder -f %{pypi_name}.lang
%{?!_licensedir: %global license %%doc}
%license LICENSE
%{python2_sitelib}/cinder
%{python2_sitelib}/cinder-*.egg-info
%exclude %{python2_sitelib}/cinder/tests

%files -n python-cinder-tests
%license LICENSE
%{python2_sitelib}/cinder/tests

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%endif

%changelog
* Mon Apr 09 2018 Eric Harney <eharney@redhat.com> 1:9.1.4-33
- HPE 3PAR: Connector/CHAP fixes (RHBZ#1530126)

* Thu Mar 29 2018 Eric Harney <eharney@redhat.com> 1:9.1.4-32
- Dell EMC SC: ISCSI initialize_connection fixes (RHBZ#1552232)

* Mon Mar 19 2018 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-31
- Fix AZ not matching backend after migration (RHBZ#1554784)

* Thu Mar 15 2018 Eric Harney <eharney@redhat.com> 1:9.1.4-30
- Dell EMC PS: Fix extend volume snapshot issue (RHBZ#1506312)

* Wed Mar 14 2018 Eric Harney <eharney@redhat.com> 1:9.1.4-29
- NetApp ONTAP Copy offload fix (RHBZ#1547366)

* Tue Mar 13 2018 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-28
- Fix allocated_capacity_gb race on create volume (RHBZ#1553738)
- Fix reporting old stats (RHBZ#1553738)

* Mon Mar 12 2018 Eric Harney <eharney@redhat.com> 1:9.1.4-27
- Fix version router extension warnings (RHBZ#1535792)

* Fri Mar 09 2018 Eric Harney <eharney@redhat.com> 1:9.1.4-26
- Fix debug logging of passwords (RHBZ#1547600)

* Fri Feb 16 2018 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-25
- Improve logs on scheduler (RHBZ#1543823)

* Tue Feb 06 2018 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-24
- Use backup_use_temp_snapshot setting for default (RHBZ#1519867)
- Fix backup temp snapshot path on remote node (RHBZ#1519867)

* Thu Feb 01 2018 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-23
- Run backup-restore operations on native thread (RHBZ#1504661)
- Fix Backup uses latest req-id for all log calls (RHBZ#1538089)

* Mon Jan 22 2018 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-22
- StorageCenter: Fix volume mapping for API v3.1 (RHBZ#1523150)

* Fri Jan 19 2018 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-21
- Fix create encrypted volume from image (RHBZ #1523676)

* Wed Jan 17 2018 Jason Joyce <jjoyce@redhat.com> 1:9.1.4-20
- Update patches

* Wed Jan 10 2018 Eric Harney <eharney@redhat.com> 1:9.1.4-19
- Dell EMC PS: Optimize parsing of capacity info from backend
- Dell EMC PS: Fix over-subscription ratio stats

* Tue Jan 09 2018 Eric Harney <eharney@redhat.com> 1:9.1.4-18
- nimble: handle unicode strings in volume create (RHBZ #1521217)

* Tue Dec 19 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-17
- ceph backup support for EXCLUSIVE_LOCK and JOURNALING features (RHBZ #1500294)

* Tue Nov 21 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-16
- Adds Unity Cinder Driver (RHBZ #1425300)

* Tue Nov 21 2017 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-15
- Add per-backend availability zones (RHBZ#1488390)

* Wed Nov 15 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-14
- VNX: fix issue when backing-up in-use volume (RHBZ #1489087)

* Tue Oct 31 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-13
- Add multipath enhancement to Storwize iSCSI driver (RHBZ #1501950)

* Thu Oct 19 2017 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-12
- NetApp ONTAP: Fix reporting of provisioned_capacity_gb (RHBZ#1498815)

* Thu Oct 19 2017 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-11
- Dell EMC SC: Delete doesn't account for migration (RHBZ#1502628)

* Wed Oct 04 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-10
- NetApp: Fix SVM scoped user startup exception (RHBZ #1481121)
- Fix Huawei remote_lun_id metadata fetching (RHBZ #1496129)

* Tue Sep 05 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-9
- Support encrypted image upload/download (RHBZ #1388559)

* Fri Aug 18 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-8
- Huawei driver: use requests lib (RHBZ #1477913)
- Huawei driver: change metadata location (RHBZ #1479235)

* Tue Aug 15 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-7
- Improve iSCSI connections (RHBZ #1428662, #1442637, #1428962, #1406617)

* Wed Aug 02 2017 Steve Linabery <slinaber@redhat.com> 1:9.1.4-6
- Switch to use stable data_utils
- RBD:Move RBDVolume calls to a separate threads

* Mon Jun 26 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-5
- Fix migration after clone (RHBZ #1456355)

* Tue Jun 06 2017 Gorka Eguileor <geguileo@redhat.com> 1:9.1.4-4
- NFS Backup: Fix overwritting backups (RHBZ#1456384)

* Mon May 22 2017 Eric Harney <eharney@redhat.com> 1:9.1.4-3
- Block creation of encrypted NFS volumes (RHBZ #1434989)

* Sat May 20 2017 Jason Joyce <jjoyce@redhat.com> 1:9.1.4-2
- Updating requires from RDO (rhbz#1452420)

* Thu May 18 2017 Jason Joyce <jjoyce@redhat.com> 1:9.1.4-1
- Update to 9.1.4

* Thu Apr 27 2017 Eric Harney <eharney@redhat.com> 1:9.1.3-4
- Fix volume retype with migration as non-admin (RHBZ #1437728)

* Fri Apr 07 2017 Eric Harney <eharney@redhat.com> 1:9.1.3-3
- NetApp: Track SVM and Cluster scoped credentials (RHBZ #1437556)

* Mon Apr 03 2017 Eric Harney <eharney@redhat.com> 1:9.1.3-2
- Fix deletion of volume metadata (RHBZ #1438328)

* Fri Mar 31 2017 Eric Harney <eharney@redhat.com> 1:9.1.3-1
- Update to 9.1.3 (RHBZ #1437959)

* Wed Mar 29 2017 Eric Harney <eharney@redhat.com> 1:9.1.2-3
- Prevent duplicate entries in the image cache (RHBZ #1434499)

* Tue Mar 28 2017 Eric Harney <eharney@redhat.com> 1:9.1.2-2
- Increase CPU limit for qemu-img commands (RHBZ #1434452)

* Thu Mar 09 2017 Jon Schlueter <jschluet@redhat.com> 1:9.1.2-1
- Update to 9.1.2 (rhbz#1430793)

* Wed Jan 11 2017 Jon Schlueter <jschluet@redhat.com> 1:9.1.1-3
- Fix services graceful shutdown (rhbz#1412347)

* Wed Jan 11 2017 Jon Schlueter <jschluet@redhat.com> 1:9.1.1-2
- NetApp cDOT driver fails to clone from NFS cache (lp#1634203)
- add missed Requires python-enum34

* Wed Jan 11 2017 Jon Schlueter <jschluet@redhat.com> 1:9.1.1-1
- Update to 9.1.1 (rhbz#1412347)

* Mon Nov 28 2016 Jason Joyce <jjoyce@redhat.com> 1:9.0.0-13
- Sheepdog: fix clone failure

* Mon Nov 21 2016 Jason Joyce <jjoyce@redhat.com> 1:9.0.0-12
- Set EVENTLET_NO_GREENDNS for IPv6 and dnspython compat

* Thu Nov 17 2016 Jason Joyce <jjoyce@redhat.com> 1:9.0.0-11
- Fix backup NFS share mount with default backup_mount_options

* Tue Nov 15 2016 Eric Harney <eharney@redhat.com> 1:9.0.0-10
- Bump oslo-concurrency dep for CVE-2015-5162 (RHBZ #1382562)

* Mon Nov 14 2016 Jason Joyce <jjoyce@redhat.com> 1:9.0.0-9
- Updated from global requirements

* Wed Nov 09 2016 Jon Schlueter <jschluet@redhat.com> 1:9.0.0-8
- Fix unit tests for LVM migration with os-brick 1.7.0

* Tue Nov 08 2016 Jon Schlueter <jschluet@redhat.com> 1:9.0.0-7
- Dell SC: Error creating snapshots with live volume

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 1:9.0.0-6
- RBD: prevent creation of encrypted volumes
- Dell SC: AsyncTask could return incomplete
- Fix HNAS Driver KeyError exception in volume manage
- extract_host: Handle empty host string input

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 1:9.0.0-5
- Imported Translations from Zanata
- Fix IndexError in volume manager

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 1:9.0.0-4
- Fixes ZFSSANFS driver on Solaris platform

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 1:9.0.0-3
- Modifies override logic for key_manager

* Wed Oct 19 2016 Jon Schlueter <jschluet@redhat.com> 1:9.0.0-2
- Imported Translations from Zanata
- NetApp NFS: Look for new file for >60s
- Coho Data: New socket connections per request
- VNX: use delete instead of remove
- Imported Translations from Zanata
- Imported Translations from Zanata
- Dell SC: Can incorrectly identify if it is failed over
- NetApp cDOT: Fix model update for cheesecake volumes
- VNX: raise exception if no storops
- Remove /usr/local/ from rootwrap config (rhbz#1192641)

* Thu Oct 06 2016 Haikel Guemar <hguemar@fedoraproject.org> 1:9.0.0-1
- Update to 9.0.0

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 1:9.0.0-0.3.0rc2
- Update to 9.0.0.0rc2

* Wed Sep 21 2016 Alfredo Moralejo <amoralej@redhat.com> 1:9.0.0-0.2.0rc1
- Update to 9.0.0.0rc1

* Thu Sep 15 2016 Haikel Guemar <hguemar@fedoraproject.org> 1:9.0.0-0.1.0b3
- Update to 9.0.0.0b3

